[arch-commits] Commit in ltrace/trunk (PKGBUILD)

Eric Bélanger eric at archlinux.org
Thu Apr 9 23:05:51 EDT 2009


    Date: Thursday, April 9, 2009 @ 23:05:51
  Author: eric
Revision: 34542

upgpkg: ltrace 0.5.1-1
    Upstream update, Updated url, Corrected license, Added backup array

Modified:
  ltrace/trunk/PKGBUILD

----------+
 PKGBUILD |   20 ++++++++++----------
 1 file changed, 10 insertions(+), 10 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-04-10 03:02:46 UTC (rev 34541)
+++ PKGBUILD	2009-04-10 03:05:51 UTC (rev 34542)
@@ -3,20 +3,20 @@
 # Contributor: Tom Newsom <Jeepster at gmx.co.uk>
 
 pkgname=ltrace
-pkgver=0.3.36
+pkgver=0.5.1
 pkgrel=1
 pkgdesc="ltrace is a debugging program which runs a specified command until it exits"
 arch=('i686' 'x86_64')
+url="http://packages.debian.org/squeeze/ltrace"
+license=('GPL')
 depends=('glibc' 'libelf')
-url="http://packages.debian.org/unstable/utils/ltrace.html"
+backup=('etc/ltrace.conf')
 source=(http://ftp.debian.org/debian/pool/main/l/ltrace/${pkgname}_${pkgver}.orig.tar.gz)
-license=('GPL2')
-md5sums=('674c9a7ddbe2a4ec10564dbb09b2261a')
+md5sums=('7dae92a19979e65bbf8ec50c0ed54d9a')
 
-build()
-{
-	cd $startdir/src/$pkgname-$pkgver
-	./configure --prefix=/usr --sysconfdir=/etc
-	make || return 1
-	make DESTDIR=$startdir/pkg install
+build() {
+  cd $srcdir/$pkgname-$pkgver
+  ./configure --prefix=/usr --sysconfdir=/etc || return 1
+  make || return 1
+  make DESTDIR=$pkgdir install || return 1
 }



More information about the arch-commits mailing list